Bug 441164 - Review Request: fedorainfinity-backgrounds - Fedora Infinity desktop backgrounds
Review Request: fedorainfinity-backgrounds - Fedora Infinity desktop backgrounds
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 19:11 EDT by Matthias Clasen
Modified: 2008-04-08 19:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 19:55:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2008-04-06 19:11:37 EDT
Spec URL: http://people.redhat.com/mclasen/fedorainfinity-backgrounds.spec
SRPM URL: http://people.redhat.com/mclasen/fedorainfinity-backgrounds-0.0.4-1.fc9.src.rpm
Description: 
This package contains desktop backgrounds for the Fedora Infinity theme,
which was the default theme for Fedora 8.
Comment 1 Bastien Nocera 2008-04-07 09:08:09 EDT
- MUST: rpmlint must be run on every package. The output should be posted in the
review.

$ rpmlint fedorainfinity-backgrounds-0.0.4-1.fc9.src.rpm 
fedorainfinity-backgrounds.src: W: no-%build-section

Fine to ignore, nothing to build.

$ rpmlint
/home/hadess/Projects/packages/RPMS/noarch/fedorainfinity-backgrounds-0.0.4-1.fc8.noarch.rpm
fedorainfinity-backgrounds.noarch: W: no-documentation

Might a good idea to include a link to the "upstream" website.

- MUST: The package must be named according to the Package Naming Guidelines.

OK.

- MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.

OK.

- MUST: The package must meet the Packaging Guidelines.

OK.

- MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines.

OK.

- MUST: The License field in the package spec file must match the actual license.

OK.

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

Would be better if the upstream tarball included a COPYING file.

- MUST: The spec file must be written in American English.

OK, although "which was the default theme for Fedora 8." Just saying "the
default theme for Fedora 8".

- MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).

OK.

- MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

OK, Matthias is upstream

- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.

OK.

- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc, FE-ExcludeArch-ppc64
- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.
- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig. 
- MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

N/A.

- MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.

OK.

- MUST: A package must not contain any duplicate files in the %files listing.

OK.

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.

OK.

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).

OK.

- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.

OK.

- MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.

OK.

- MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)

OK.

- MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

OK.

- MUST: Header files must be in a -devel package.
- MUST: Static libraries must be in a -static package.
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
Packaging Guidelines. If you feel that your packaged GUI application does not
need a .desktop file, you must put a comment in the spec file with your explanation.

N/A.

- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.

It owns %{datadir}/backgrounds, which is already owned by
desktop-backgrounds-basic. Don't think that's a problem.

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.

OK.

- MUST: All filenames in rpm packages must be valid UTF-8.

OK.

Review is fine, once a COPYING file is added.
Comment 2 Matthias Clasen 2008-04-08 13:49:44 EDT
> Review is fine, once a COPYING file is added.

Done
Comment 3 Matthias Clasen 2008-04-08 13:52:26 EDT
New Package CVS Request
=======================
Package Name: fedorainfinity-backgrounds
Short Description: Fedora Infinity desktop backgrounds
Owners: mclasen@redhat.com

Comment 4 Kevin Fenzi 2008-04-08 14:13:01 EDT
I assume you just want a devel branch here? or ? 
Please use Fedora account system names for Owners. ;) 

Comment 5 Matthias Clasen 2008-04-08 14:51:35 EDT
devel branch is automatic, no ? I need no others...

FAS name might be mclasen
Comment 6 Kevin Fenzi 2008-04-08 16:32:05 EDT
cvs done.
Comment 7 Matthias Clasen 2008-04-08 19:55:08 EDT
Built

Note You need to log in before you can comment on or make changes to this bug.